---
id: 6140cdebd39d6a101e747529
title: Step 6
challengeType: 0
dashedName: step-6
---

# --description--

Create a selector for your `.line` elements. Start by setting the `background-color` to `black`, the `width` to `50%`, and the `height` to `2px`.

# --hints--

You should have a `.line` selector.

```js
assert(new __helpers.CSSHelp(document).getStyle('.line'));
```

Your `.line` selector should have a `background-color` property set to `black`.

```js
assert(new __helpers.CSSHelp(document).getStyle('.line')?.backgroundColor === "black");
```

Your `.line` selector should have a `width` property set to `50%`.

```js
assert(new __helpers.CSSHelp(document).getStyle('.line')?.width === "50%");
```

Your `.line` selector should have a `height` property set to `2px`.

```js
assert(new __helpers.CSSHelp(document).getStyle('.line')?.height === "2px");
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <title> Learn CSS Animations by Building a Ferris Wheel</title>
    <link rel="stylesheet" href="./styles.css">
  </head>
  <body>
    <div class="wheel">
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>
      <span class="line"></span>

      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
      <div class="cabin"></div>
    </div>
  </body>
</html>
```

```css
.wheel {
  border: 2px solid black;
  border-radius: 50%;
  margin-left: 50px;
  position: absolute;
  height: 55vw;
  width: 55vw;
  max-width: 500px;
  max-height: 500px;
}

--fcc-editable-region--

--fcc-editable-region--
```
